Skip to main content
GET
/
public
/
emails
/
{email_id}
cURL
curl --request GET \
  --url https://api.example.com/public/emails/{email_id}
{
  "id": 123,
  "updated_time": "2023-11-07T05:31:56Z",
  "email_type": "<string>",
  "origin": "<string>",
  "email_timestamp": "2023-11-07T05:31:56Z",
  "contact_email": "jsmith@example.com",
  "contact_id": 123,
  "agent_email": "jsmith@example.com",
  "subject": "<string>",
  "body_text": "<string>",
  "body_html": "<string>",
  "campaign_id": "<string>",
  "campaign_name": "<string>",
  "interested": true,
  "custom_fields": [
    {
      "id": 123,
      "updated_time": "2023-11-07T05:31:56Z",
      "field_name": "<string>",
      "field_value": "<string>"
    }
  ]
}

Path Parameters

email_id
integer
required

Response

OK. The email was successfully retrieved.

id
integer
required
updated_time
string<date-time>
required
email_type
string
required
origin
string
required
email_timestamp
string<date-time>
contact_email
string<email>
contact_id
integer
agent_email
string<email>
subject
string
body_text
string
body_html
string
campaign_id
string
campaign_name
string
interested
boolean
custom_fields
object[]